package jp.jbug.helloworld.seam;

import java.util.ArrayList;
import java.util.List;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.Factory;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Logger;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Out;
import org.jboss.seam.annotations.Scope;
import org.jboss.seam.log.Log;

@Name("helloAction")
//@Scope(ScopeType.STATELESS)
public class HelloAction {

	@Logger
	Log log;

	@In
	private HelloMessage helloMessage;

	@In(required = false, scope = ScopeType.SESSION)
	@Out(required = false, scope = ScopeType.SESSION)
	private List<HelloMessage> helloMessages;
	
	public String regist() {

		if (helloMessages == null) {
			helloMessages = new ArrayList<HelloMessage>();
		}

		helloMessage.setName(helloMessage.getName() + "さん");
		helloMessages.add(helloMessage);

		log.info("name = " + helloMessage.getName());
		log.info("message = " + helloMessage.getMessage());

		return "/stateless-registered.xhtml";
	}

}
